Subject: Re: ld missing???
From: [email-masked]
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Mar 2002 14:37:24 -0600

I have searched the archives.  I even saw where you posted to someone else
earlier to search the archives!  I found one message that said to make sure
the win32api is installed which it is (I even reinstalled it, bin, not
src).
And another that says to check the setup.ini file and look at the req's for
gcc and I have ash, binutils, cygwin, gcc, mingw and win32api installed.

I tempted to just install all packages, but of course I wouldn't know what
was the missing package or even if that would fix the problem.

I found one message that said to download the ming libraries from the mingw
website and install them manually???  Installing through the cygwin
setup.exe
utility doesn't work?  If so, then why would mingw be there to install?
And
if this is asked so often, shouldn't there be a note about it somewhere to
filter out the newbies like myself?

Sorry for the rant, and I'm sure the people on the list see this question
many times a month.  I should have posted the stuff I found in the archive
and what I had already done first.  I am tempted to just install ALL of
Cygwin
and try it again.

                                                                                                                   
                    "Larry Hall                                                                                    
                    (RFK Partners,       To:     [email-masked], [email-masked]                        
                    Inc)"                cc:                                                                       
                    <[email-masked]       Subject:     Re: ld missing???                                            
                    >                                                                                              
                                                                                                                   
                    03-21-2002                                                                                     
                    13:35                                                                                          

At 02:28 PM 3/21/2002, [email-masked] wrote:
>Just downloaded and installed Cygwin and the binutils, automake*, and gcc
>packages.
>
>I've written a smal C program and this is the error near the end:
>
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/../../../../i686-pc-cygwin/bin/ld:

>cannot find -luser32
>collect2: ld returned 1 exit status

See the mail list archives!

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/